declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    id: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    title: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    message: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    theme: import("vue-types").VueTypeDef<"error" | "primary" | "success" | "warning"> & {
        default: "error" | "primary" | "success" | "warning";
    };
    position: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    delay: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    dismissable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    offsetX: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    offsetY: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    spacing: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    extCls: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    onClose: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
        default: (...args: any[]) => any;
    };
}>, {
    classNames: import("vue").ComputedRef<string[]>;
    styles: import("vue").ComputedRef<{
        [x: string]: string | number;
        zIndex: number;
    }>;
    visible: import("vue").Ref<boolean, boolean>;
    renderMessage: import("vue").ComputedRef<any>;
    handleClose: () => void;
    resolveClassName: (cls: string) => string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "destroy"[], "destroy", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    id: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    title: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    message: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    theme: import("vue-types").VueTypeDef<"error" | "primary" | "success" | "warning"> & {
        default: "error" | "primary" | "success" | "warning";
    };
    position: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    delay: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    dismissable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    offsetX: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    offsetY: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    spacing: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    extCls: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    onClose: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
        default: (...args: any[]) => any;
    };
}>> & Readonly<{
    onDestroy?: (...args: any[]) => any;
}>, {
    title: string;
    onClose: (...args: any[]) => any;
    position: string;
    theme: "error" | "primary" | "success" | "warning";
    extCls: string;
    id: string;
    offsetX: number;
    offsetY: number;
    message: any;
    delay: number;
    spacing: number;
    dismissable: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
